# DkGrid API

- [DkGridColumnDef](https://docs.dikesoft.com/reference/dkgrid-api/dkgridcolumndef.md): You can access this instance through the property named columnDef of the DkGridComponent, or by listening to the DkGridComponent event called gridColumnDefInstance.
- [DkGridSorting](https://docs.dikesoft.com/reference/dkgrid-api/dkgridsorting.md): You can access this instance through the property named sorting of the DkGridComponent.
- [DkGridSelection](https://docs.dikesoft.com/reference/dkgrid-api/dkgridselection.md): You can access this instance through the property named selection of the DkGridComponent.
- [DkGridRowGrouping](https://docs.dikesoft.com/reference/dkgrid-api/dkgridrowgrouping.md): You can access this instance through the property named rowGrouping of the DkGridComponent.
- [DkGridPagination](https://docs.dikesoft.com/reference/dkgrid-api/dkgridpagination.md): You can access this instance through the property named pagination of the DkGridComponent.
- [DkGridWaitingIndicator](https://docs.dikesoft.com/reference/dkgrid-api/dkgridwaitingindicator.md): You can access this instance through the property called waitingIndicator of the DkGridComponent.
- [DkGridFactoryDataSource](https://docs.dikesoft.com/reference/dkgrid-api/dkgridfactorydatasource.md): You can access this instance through the property named dataSourceFactory of the DkGridComponent.
- [DkGridFilter](https://docs.dikesoft.com/reference/dkgrid-api/dkgridfilter.md): You can access this instance through the property named filter of the DkGridComponent.
- [DkGridEdition](https://docs.dikesoft.com/reference/dkgrid-api/dkgridedition.md): You can access this instance through the property named edition of the DkGridComponent.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/dkgrid-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
